<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the first needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientBase class (each generated ServiceType class extends this class)
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'main.wsdl',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc...
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'main.wsdl',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => ClassMap::get(),
);
/**
 * Samples for Get ServiceType
 */
$get = new \ServiceType\Get($options);
/**
 * Sample call for getJobOverviewRaw operation/method
 */
if ($get->getJobOverviewRaw($mandnr, $status, $limit, $offset, $sections) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getJobOverview operation/method
 */
if ($get->getJobOverview($mandnr, $status, $raw, $limit, $offset, $sections) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getJobDetailsXML operation/method
 */
if ($get->getJobDetailsXML($uuid, $sections) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getJobDetails operation/method
 */
if ($get->getJobDetails($uuid, $sections) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCandidateOverview operation/method
 */
if ($get->getCandidateOverview() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCandidate operation/method
 */
if ($get->getCandidate($mandnr, $personalnr) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCandidateFile operation/method
 */
if ($get->getCandidateFile($mandnr, $dateiid) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getJobs operation/method
 */
if ($get->getJobs($mandnr) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getSkills operation/method
 */
if ($get->getSkills($mandnr) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getStaaten operation/method
 */
if ($get->getStaaten($mandnr) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getBezugsquellen operation/method
 */
if ($get->getBezugsquellen($mandnr) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getMobilitaeten operation/method
 */
if ($get->getMobilitaeten($mandnr) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getZusatzfelder operation/method
 */
if ($get->getZusatzfelder($mandnr) !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getJobsBA operation/method
 */
if ($get->getJobsBA() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getSkillsBA operation/method
 */
if ($get->getSkillsBA() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getSkillGroupsBA operation/method
 */
if ($get->getSkillGroupsBA() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getSkillRatingBA operation/method
 */
if ($get->getSkillRatingBA() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getDrivingLicencesBA operation/method
 */
if ($get->getDrivingLicencesBA() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCountrysBA operation/method
 */
if ($get->getCountrysBA() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Sample call for getCountryRegionsBA operation/method
 */
if ($get->getCountryRegionsBA() !== false) {
    print_r($get->getResult());
} else {
    print_r($get->getLastError());
}
/**
 * Samples for Set ServiceType
 */
$set = new \ServiceType\Set($options);
/**
 * Sample call for setApplicationsLCS operation/method
 */
if ($set->setApplicationsLCS($mandnr, $xml) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
/**
 * Sample call for setApplications operation/method
 */
if ($set->setApplications($mandnr, $xml) !== false) {
    print_r($set->getResult());
} else {
    print_r($set->getLastError());
}
